Cover Page

User Manual

Revised 01/13/03

How to Reach APPX

Mr. APPX


How to Reach APPX

APPX Software, Inc.

11363 San Jose Blvd., Suite 301

Jacksonville, FL 32223 USA

http://www.appx.com

email: info@appx.com

Phone: 1-800-TRY-APPX or 1-904-880-5560

FAX: 1-904-880-6635

APPX User Manual (Revised 01/13/03) Cover Page Cover Page Orientation to the Manual

© 2003 by APPX Software, Inc. All rights reserved


Orientation to the Manual

This manual is intended for users of APPX applications. An application is a computer-based set of processes and procedures that are designed to support one or more end-users. Some examples of applications include Order Processing, Accounts Payable, or Customer Billing. This manual contains information that applies to all APPX applications, regardless of the functions they support. Although the specific data you see and enter varies from application to application, there are consistent patterns to the way you communicate with any APPX application.

Related Manuals

There may be separate manuals that contain information about how to use a specific application. For example, an Order Entry application may have a manual or other written procedures that describe all the components of the application, and how you use them to support your work functions.

In addition, because APPX operates in several different computer environments, there may be separate manuals that describe how to use your specific computer, terminal, or printer. You need to ask your system administrator to provide you with any additional documentation or training information.

Topics Covered in this Manual

This manual covers four broad areas:

· The APPX environment, including terminology you need to be familiar with, and the people that you will deal with as you run APPX.

· How to enter and exit your APPX application.

· How to use APPX screens and the available options when running your application.

· Information about the different types of processes you will use in your applications.

APPX User Manual (Revised 01/13/03) Cover Page How to Reach APPX The APPX Environment


The APPX Environment

Depending on the size and complexity of your organization, there may be one or more key people that can assist you in learning about APPX. The following provides a brief description of the key people in an APPX environment:

· The system administrator is responsible for installing APPX on your computer, and for defining in APPX the type of computer configuration you have (for example, terminals and printers). In addition, this person establishes any security controls for your applications.

· The database administrator is responsible for all aspects of file management. This person establishes the files that are needed to install APPX applications, and performs on-going tasks to maintain the database environment, such as periodic file backups.

· The designer is the person who develops new APPX applications, or makes changes or enhancements to existing applications. If, as the user, you have questions or suggested improvements regarding particular features of an application, you should address them to the designer. Depending on your organization, the designer you need to contact may be an outside party.

· The user, sometimes called the end user, is the person who runs or executes an application that is written in APPX to perform business-related tasks, such as preparing a payroll.

APPX User Manual (Revised 01/13/03) Cover Page Orientation to the Manual Terminology


Terminology

Although most of what you need to know while running an application is available to you on your terminal screen, there are some terms that, once understood, allow you to gain a better insight into how APPX applications operate. If you have worked with computer-based systems before, you probably are already familiar with many of the terms. There are also a few terms that have special meaning within APPX, and are described in the following sections.

· A process is a part of an APPX application that performs one or more related functions. For example, you may use an input process in an Accounts Receivable application to maintain information about your customers, an output process to print a list of all customers, or an update process to post payments to customer accounts.

· A menu is a type of process that presents you with a list of options to select from. An application may have a main menu that lists the primary options available within the application. Selecting an option from the main menu may present you with another more detailed list of options to choose from, or may directly invoke another process, such as an input or output process. A typical APPX Menu is shown in Figure 1.

Figure 1. A Typical APPX Menu

· An option is a predefined selection that corresponds to a particular button or icon on your screen, as well as a series of keystrokes. Options can be buttons that allow you to invoke selections from a menu or other process. For example, clicking a designated button on the Accounts Receivable menu may invoke a customer input process. An option can also be a specific task represented by an icon on the APPX Toolbar. These options are used to perform a variety of navigational, assistance, and record management functions. At other times, options can be numeric. For example, you might be instructed to select OPTION 5 to perform a certain function. Press the OPTION key (as defined by your system administrator) then the 5 key. Or, to select OPTION 23, press the OPTION key twice, then the 2 key, then the 3 key. Remember that two-digit option numbers require that you press the OPTION key twice before pressing the appropriate number keys to let APPX know you are selecting a two-digit option. All of these options are described within this manual.

· An item is a field that is entered or displayed on an input screen or displayed on a report. Items that you are allowed to enter or modify on a screen are enclosed in a box for ease of recognition.

· A file is a structure for storing data that consists of one or more related records. Each record contains one or more fields. For example, the CUSTOMER file consists of a number of customer records. Each customer record consists of several fields, including key fields such as CUSTOMER NUMBER and NAME, plus additional fields such as ADDRESS, PHONE NUMBER, and CREDIT LIMIT.

· A database is a collection of related files within an installation. Each separate company or organization may have its own database. Different databases may share data in common files yet have other files containing data unique to that database. For example, you might have separate Customer files for each company but have only one Customer Type file that is shared by all companies since all companies use the same customer type codes.

If your installation is using multiple databases, you may have the opportunity to select the database you wish to work in. This function is controlled by your APPX designer. The screen shown in Figure 2 appears for you to make your database selection. Database ID’s are three character codes. A scan feature is provided for you to view a list of available databases from which to make your selection.

Figure 2. Select Database Screen

· The term key can mean two different things, depending on the context it is used in. In one sense, a key is what you press on a terminal keyboard to enter data or perform a special function. In APPX, a keymap is a reference guide or diagram that indicates which keys correspond to each special function.

In another sense, a key is a field that allows you to identify a specific record or records in a file. For example, if CUSTOMER NUMBER is a key to the CUSTOMER file, you can specify a value for the CUSTOMER NUMBER to retrieve a particular CUSTOMER file record. A file can have more than one key field. For example, CUSTOMER NAME could also be a key (called an alternate key) to the CUSTOMER file. A key does not necessarily have unique values. For example, while duplicate CUSTOMER NUMBERs may not be allowed, two customers might have the same name but are uniquely identified by their customer number.

APPX User Manual (Revised 01/13/03) Cover Page The APPX Environment Your Computer, Terminal and Printer


Your Computer, Terminal and Printer

APPX runs on many different types of computers. In addition, most computer terminals can have alternate styles of keyboards. As a result, there are many possible layouts of keys on your keyboard. The same is true with printers; many types of printers are available, each with features that may differ from model to model. If you are not already familiar with your terminal and printer, you should contact your system administrator for assistance.

As discussed previously, you navigate through APPX applications by using various options represented by buttons or icons. Additionally, special functions are performed with special function keys. A particular function on one type of keyboard may correspond to a different key on another keyboard. You need to know which key or keys to press to select each APPX function. Refer to your keymap diagram or consult your system administrator for questions about selecting APPX functions on your keyboard. See Appendix A for the GUI Client Keymap used when APPX is being run as a GUI client on a PC.

APPX User Manual (Revised 01/13/03) Cover Page Terminology Getting Started in APPX


Getting Started in APPX

After signing on to your terminal and entering APPX, the first screen you will normally see is a menu. To initiate any activity, select the appropriate button from this menu. Since the first screen you see is controlled by your system administrator, it is possible that it will not be a menu but, for example, an input process. In some installations, you may first have to select from among more than one database. For example, your job may require you to maintain separate files for two different companies. In this case, you need to select the database you are going to work on during a particular session. After providing this information, you will see the first menu for that database.

Thereafter, what you see on your terminal depends on what functions the application contains and which options you select. Later in this manual, the different types of processes you may encounter in an application are described.

APPX User Manual (Revised 01/13/03) Cover Page Your Computer, Terminal and Printer The APPX Screen Layout


The APPX Screen Layout

Although there are virtually no limitations on the type and format of information you may see on an APPX terminal screen, there are some patterns that are common throughout all applications.

Title Bars are located at the top of every APPX screen and screen overlay. They generally describe the function or contents of the screen and also provide three special functions in the form of buttons that are located at the far right end of the title bar. These buttons vary depending on the level of the title bar.

Directly under the main APPX title bar is the Menu Bar. It contains special functions in categories such as File, Options, Help, Application, and Processes. Under the menu bar is the Tool Bar which contains several icons These icons represent functions that can be performed throughout APPX applications.

The body of the screen contains text or items, or a mixture of both, depending on the type of process. For example, a menu contains a list of one or more options, usually in the form of buttons. An input process contains one or more items to enter.

The bottom of every screen contains a Status Bar, a common area that APPX uses to provide relevant information at all times while running your application.

Figure 3 below shows a sample APPX screen layout, in this case, for a simple input process.

Figure 3. Sample APPX Screen Layout

APPX User Manual (Revised 01/13/03) Cover Page Getting Started in APPX Title Bars


Title Bars

The main APPX title bar, located at the very top of your screen, contains three buttons at the extreme right that can be used to perform standard Windows functions. These buttons, from left to right, minimize, maximize, and close your APPX window and end your APPX session.

Subordinate title bars for other APPX windows and overlays contain three buttons at the far right that can be used to display help, save changes to the current record and move forward to the next, or to return to the previous screen or menu.

You can select the [image] or HELP button while positioned anywhere on a screen to receive an on-line description of any process that can be invoked from the screen below, or to display detailed information about a field that appears on a data entry screen. To display this description, click HELP then click the desired option button or field. When finished reading the help text, select the [image] or [image] button on the help overlay's title bar to remove the help overlay.

The [image] button is also referred to as ENTER. Selecting this button generally validates and saves any data entry you have performed on the current screen and moves you to the next record in a file, or the next screen or overlay in a series. It can be used interchangeably with the ENTER or RETURN key on your keyboard.

The [image] or END button, when selected, ends the current process and “takes you back” to the previous process. For example, in an order/line item input process, if you select END from the line item screen, you will return to the order screen; if you select END from the order screen, you will return to the menu that you selected the order/line item input process from. Normally, if you end a menu process, you return to the previous menu process (if one exists) and, if you select END from your initial menu, you exit APPX. The F8 key performs the same function as the [image] button.

APPX User Manual (Revised 01/13/03) Cover Page The APPX Screen Layout Menu Bar


Menu Bar

As shown in Table 1 below, the menu bar contains six categories of functions available during your APPX session.

Menu Category | Functions | Description of Function
File | Print Setup | Define local printer, paper type, and page orientation
Options | þGUI Interface | Adds GUI features to a character-based APPX session.
 | þShow Option Numbers | Displays corresponding option numbers on buttons.
 | þAuto Tab-Out | During data entry, automatically moves the cursor to the next field when the current field is filled.
 | þAuto Select | Selects the contents of a field for replacement when the cursor moves to that field.
 | þAlways Dock Scrollbar | Prevents the scrollbar from appearing and disappearing when the mouse pointer moves near the right side of a scrolling region.
 | þShow Gridlines | Shows row and column gridlines.
Help | About | Displays version and client information regarding your current APPX session.
System | Various | Optionally displays a list of the system level direct processes that can be accessed instantly from anywhere. Click to run.
Application | Various | Optionally displays a list of the current application ’s direct processes that can be accessed instantly from anywhere within the current application. Click to run.
Process | Various | Optionally displays a list of the current process ' optional processes. Click to expand or run.

Table 1. Menu Bar Options

APPX User Manual (Revised 01/13/03) Cover Page Title Bars Tool Bar


Tool Bar

The APPX Tool Bar contains icons that are used to perform standard functions throughout your APPX session. These icons and their functions are:

ENTER

When you enter or modify any items, select the ENTER icon to complete your action, indicating that all items on the screen were entered. Alternatively, you can select the [image] button on the window or overlay's title bar, or you can press the ENTER or RETURN key on your keyboard.

CANCEL

The CANCEL option, activated by selecting the CANCEL icon, has a similar effect to the END option, but normally takes you further back in the processing cycle without saving any data entry you may have performed on the current screen. Where you return to depends on how the processes are designed in the application.

ADD

The ADD option allows you to add new records to an existing file.

CHANGE

The CHANGE option allows you to modify data for existing records.

INQUIRE

The INQUIRE option allows you to examine (but not modify) existing records in a file.

DELETE

The DELETE option allows you to delete existing records from a file.

CONFIRM DELETE

This option confirms the deletion of a record from a file. A record selected for deletion is not deleted until confirmed.

APPX User Manual (Revised 01/13/03) Cover Page Menu Bar Status Bar


Status Bar

The status bar contains five areas which contain the following information (from left to right):

· Messages displays informational, warning, or error messages that generate as you run your applications. The specific message depends on events that happen as you run your application. This line may often be blank, indicating that no message currently applies.

· User displays the user ID of the person who is signed on to APPX.

· Database displays the database you are currently using.

· Application displays the current application (three characters) and version (two characters).

· Mode/Interactive Phase There are four modes: add, delete, inquire, or change, which you can select with the Mode options. Interactive phase represents a finer breakdown of the mode. For example, you may be in change mode, at the point where you are about to specify the key value of a record you want to change. The mode/interactive phase at this point indicates Chg/Key. After a record has been retrieved and displayed on the screen, only Chg displays. For further information about modes and interactive phases, refer to those sections.

APPX User Manual (Revised 01/13/03) Cover Page Tool Bar Standard Cursor Movement Keys


Standard Cursor Movement Keys

As you navigate through various APPX applications, you will make frequent use of many of the standard cursor control keys that allow you to move up and down, tab from field to field, and erase data in a screen field. You need to become familiar with all of the navigational keys on your keyboard. Please refer to Appendix A for a complete list of the APPX keys and their functions. If you have any questions, contact your system administrator.

APPX User Manual (Revised 01/13/03) Cover Page Status Bar APPX Options


APPX Options

As described previously, you initiate any action in APPX by selecting an option button. On a menu, each button represents an option. An option may be a report, a file maintenance input process, or other predefined task.

In addition, there are several predefined options in APPX that you may select at any time to initiate a particular action. These options are represented by the icons located on the APPX Tool Bar. Some of these options cause you to move between or into processes in your application or to perform specific tasks. Some of the options are applicable only to specific types of processes, while others are always available. The remaining sections of this manual describe these options, including when you might use them and exactly what the result will be.

APPX User Manual (Revised 01/13/03) Cover Page Standard Cursor Movement Keys Running Processes


Running Processes

Beginning with the main menu, you may encounter many different processes as you navigate through your application. By selecting a specific option button from a menu, you may be presented with yet another menu that contains several other options. In turn, you may eventually invoke other types of processes, including input and output processes. The following sections describe the unique features of each type of process and discuss how you can take advantage of these features.

APPX User Manual (Revised 01/13/03) Cover Page APPX Options A Typical Menu Process


A Typical Menu Process

A menu is normally the first type of process you encounter after you enter APPX, although your system administrator can specify another type of screen if appropriate. From this initial or main menu, you select one of several menu options. As soon as you select the option, APPX invokes the corresponding process associated with the option. This process may be another menu, or another type of process that you use, for example, to perform data entry, generate a report, or post transactions.

A traditional APPX menu utilizing buttons to represent options is shown in Figure 1 in the Terminology section. This type of menu usually consists of a “main” menu from which you can access other sub-menus containing a variety of options. Another kind of menu is shown in Figure 4 below. This type of menu uses pull-down menus so that all options within an application are accessed from one menu. Note that all the sub-menus appear in the title bar at the top of the menu. Clicking any of the sub-menus displays a drop-down list of options available within that category (Maintenance or Monthly, for example). These options may include menus or other types of processes. Simply click on any option to initiate the process listed.

Figure 4. Pull-Down Menus

Input Fields on a Menu

In addition to the options, a menu may contain one or more input items in which you can enter data. For example, the main menu for an accounting application may require you to enter the accounting period. After you enter the appropriate accounting period, you select the desired option from the menu.

APPX User Manual (Revised 01/13/03) Cover Page Running Processes A Typical Input Process


A Typical Input Process

An input process allows you to look at records in a file (inquire mode), or to perform file maintenance activities (add new records, delete old records, or change existing records). You choose the mode you want by selecting the appropriate option (Add, Delete, Change, Inquire). When you first invoke the input process, it will default to one of the four modes, depending on how the application was designed. You can change the mode at any time, as described later in this chapter.

An input process screen contains one or more highlighted items, each identified with a corresponding label (such as Alpha Code). An item that allows user input is enclosed in a field box. Some items may be displayed but not allow user input; this is controlled by the design of the application. A sample input process is shown in Figure 5.

Figure 5. A Typical Input Process

APPX User Manual (Revised 01/13/03) Cover Page A Typical Menu Process Input Item Types


Input Item Types

There are five types of items found in APPX applications. Each one has its own set of rules regarding what characters you are allowed to enter, as follows:

· Alphanumeric allows entry of any combination of letters, numbers, or characters, in general. Depending on the application, a variety of edit checks may be performed. Alphanumeric fields may span multiple lines on the screen.

· Numeric allows entry of one number or a contiguous string of numbers. A leading or trailing minus sign and decimal point are treated as valid characters. Commas (to separate thousands) or currency symbols (such as $) are not considered valid characters.

· Date/Time allows entry of up to eight date/time components: century (cc), year (yy), month (mm), day (dd), hour (hh), minute (mm), second (ss), and tenths and hundredths (th) of a second. Most date/time items typically include some combination of year/month/day, but the exact components in each item depend upon the design of your application. You are prompted as to which parts to enter at which position in each date/time item, by the presence of the corresponding two-character abbreviation listed above. Only valid components (such as minutes from 00 through 60) are accepted after you select Enter [image].

· Logic answers the question “yes” or “no” and is usually represented by a checkbox. APPX allows you to click the checkbox and toggle it to represent “yes” or “no". A check mark [image] means “yes” and a blank checkbox [image] means “no”. In some cases, you can often leave a logic item with a question mark inside [image], meaning that you do not know the answer yet. For example, you may not know whether a particular customer wants to receive special mailings, so you leave the question mark until you find out. Some logic items require you to set the checkbox to “yes” or “no”. Logic fields, however, may sometimes be seen as a single character field with values of “Y” or “N” to represent “yes” and “no” respectively.

· Text is a free-form alphanumeric field for entering comments or other information in paragraph format. You can indicate the end of each paragraph so that APPX automatically begins the new paragraph on a new line. APPX also automatically wraps your text from one line to another, breaking the text between two words.

APPX User Manual (Revised 01/13/03) Cover Page A Typical Input Process Text Editing Options


Text Editing Options

In addition to the standard cursor movement keys (cursor left, cursor right, tab, etc.) there are several text editing functions that allow you to manipulate alphanumeric and text fields in your application, including the following:

· Delete Character (DELETE) allows you to delete one character at a time.

· Delete Previous Character (BACKSPACE) allows you to delete one character at a time to the left of the cursor position.

· End Paragraph (CTRL+ENTER) allows you to insert a character that will cause a new paragraph to be started, for multi-line alphanumeric items. To exit a text field, press ENTER twice, click [image] on the title bar or tab out of the field and then press ENTER.

· Move to Item Beginning (HOME) allows you to move the cursor to the beginning of the current line of text in the item.

· Move to Item End (END) allows you to move the cursor to the end of the current line of text in the item.

APPX User Manual (Revised 01/13/03) Cover Page Input Item Types Mode Options


Mode Options

When you are in an input process, you can be in any of four modes, depending on the activities you intend to perform. You may switch between the four modes by clicking on the corresponding mode icon on the tool bar:

Add Mode allows you to add new records to a file.

Change Mode allows you to modify data for existing records.

Inquire Mode allows you to examine (but not modify) existing records in a file.

Delete Mode allows you to remove existing records from a file (note that there is a separate Confirm Delete option that you must select to complete the deletion action on a particular record; this option is discussed in the following section).

Each input process has a default mode, so that when you first enter the process you are set to one of the four modes automatically. The default mode is controlled by the design of your application, but you can change the mode at any time by selecting the desired mode option. In some cases, the application may be designed so that some of the modes are not available.

APPX User Manual (Revised 01/13/03) Cover Page Text Editing Options Deleting A Record


Deleting A Record

To delete a record from a file, you need to perform the following actions:

· If you are not already in delete mode, select Delete mode [image].

· Identify the record you want to delete by entering its key value and select Enter [image]. Verify that the displayed record is the correct one.

· Select Confirm Delete [image]. Until you perform this final step, the record is not deleted from the file.

APPX User Manual (Revised 01/13/03) Cover Page Mode Options Scrolling Input Processes


Scrolling Input Processes

Some input processes are scrolling, like that shown in Figure 6 below. A scrolling input process displays several records at a time on the screen, and allows you to “scroll” through the records in the designated key path sequence. The record you are currently on is highlighted, and you can move successively through the list of records one record at a time, by using the scroll buttons (located in the right edge of scrollable areas). You can also press the F5 (NEXT RECORD) key on your keyboard or look for a button, as shown in Figure 6, that you can select to move to the next record. If you reach the last record on the screen and there are more records in the file, pressing the PAGE DOWN key or using the scroll buttons or slide bar causes the screen to scroll, displaying the next group of records while removing the current group from the display. You can also select any record displayed on the screen by clicking on it, and selecting a mode option to make that the current record. For example, in inquiry mode you may have displayed a scrolling list of records on the screen. Then you can select a specific record, select change mode, and apply any changes to the selected record.

Figure 6. A Scrolling Input Process

APPX User Manual (Revised 01/13/03) Cover Page Deleting A Record Interactive Phase


Interactive Phase

The interactive phase describes the type of activity you are performing while maintaining a file in an input process. The interactive phase is meaningful in the context of the mode you are in. For example while in add mode, you may add an order record and a number of associated line items. At this point, you may want to return to the order record and modify a field you previously entered. When the order record displays on the screen, you are still in add mode (because you have not changed the mode), but you are in modify interactive phase. The mode on the status surface shows "Add/Mod," indicating that you are in add mode and modify interactive phase.

A second example demonstrates another combination of mode and interactive phase. While in change mode, if you retrieve a record that another user already retrieved in change or delete mode, you can display the record but you are not allowed to change it. The mode on the status surface shows "Chg/Inq" to indicate the status of the record.

In most cases, you will be in an activity that displays only the mode, because the activity you are performing is the same as the mode. For example, after selecting inquire mode, you proceed to display records one after the other. In this case, only "Inq" displays for mode on the status surface.

APPX User Manual (Revised 01/13/03) Cover Page Scrolling Input Processes Data Entry Options


Data Entry Options

In APPX, there are several options you will want to become familiar with that will help you enter data more efficiently. Some of them are:

Tab and Backtab Functions

During data entry, TAB and SHIFT+TAB functions work together to allow you to move between items on a screen. Pressing the TAB key allows you to move from one item to the next on an input screen. Pressing SHIFT+TAB allows you to move back to the previous item.

Next Record (F5)

The NEXT RECORD option, activated by pressing F5, allows you to move through all of the records in a file, one record at a time. In the orders/line items example, if you were positioned on the first order record and selected NEXT RECORD, you would move to the second order record. Unlike selecting ENTER, you do not go “down” to the line items that are associated with each order. If you come to the last record in the order file, you are placed in “key entry,” in which you can enter a key to retrieve a specified record.

Previous Activity (F4)

The PREVIOUS ACTIVITY option, activated by pressing F4, allows you to recall the screen that immediately preceded the current one. In our example, if you select PREVIOUS ACTIVITY while on a line item, you redisplay the order record for that line item. Even if you are in a scrolling line item process, selecting PREVIOUS ACTIVITY while positioned on any of the line items returns you to the order record. This option allows you to step back one screen at a time.

Direct Process 1 (CTRL+1) and Direct Process 2 (CTRL+2)

The DIRECT PROCESS 1 and DIRECT PROCESS 2 options may or may not be included in your application, depending on whether your system administrator specified a direct process for your installation (DIRECT PROCESS 1), and whether your designer specified a direct process for your application (DIRECT PROCESS 2). If included, selecting the DIRECT PROCESS 1 or DIRECT PROCESS 2 options, invoked by pressing either CTRL+1 or CTRL+2, allows you to move directly to a designated process. This feature provides rapid access to frequently used processes. When you are done, you return directly to the process you were running when you selected the Direct Process. DIRECT PROCESS 1 processes, when available, can also be run by selecting System from the APPX menu bar and clicking on the desired process. DIRECT PROCESS 2 processes, when available, can be run by selecting Application from the APPX menu bar and clicking on the desired process.

APPX User Manual (Revised 01/13/03) Cover Page Interactive Phase Select Access Path


Select Access Path

APPX User Manual Cover Page Data Entry Options Set Entry Attributes

Select Access Path (F3)

As you use an input process to examine the records in a file, there is a “predefined” sequence that the process uses to retrieve records. For example, the customer file might be sequenced by CUSTOMER NUMBER in ascending order. As you read through customer records, you will start with the lowest customer number and proceed to progressively higher numbers. There may be times, however, when you want to retrieve records from the file using the CUSTOMER NAME, so that the alphabetical sequence is used instead. To change the order of retrieval, you can select an alternate, predefined access path by selecting SELECT ACCESS PATH or F3 while in Key Entry Mode (check the right side of the status line). You are presented with a list of the alternate, predefined access paths that are available for the file you are reading. See Figure 7 for an example. Select the desired “path” for the file and then select ENTER or RETURN. You are returned to your input process, and you can step through the file in the desired sequence.

Figure 7. Select Access Path Overlay

The SELECT ACCESS PATH option is also used to create temporary access paths in any input process. These temporary access paths are called dynamic indexes. For example, CUSTOMER records can be accessed using predefined access paths for the Customer Number or Customer Name fields. You, however, want to access all customers in a particular State when there is currently no predefined access path for the State field. To create a new access path, position the cursor to the State field and select SELECT ACCESS PATH. Note that you cannot be in Key Entry Mode (check the right side of the status line) when activating this feature. The State field is added to the list of available keys and a message appears in the status area of your screen to indicate this. Then, return to Key Entry Mode (by pressing F12, for example) and you can move through the file in State order. Selecting SELECT ACCESS PATH again on this field will toggle the key to descending order. You can build a multi-field access path by repeating this process on multiple fields. Note that the dynamic index will not reflect any records added by other users after the index was built but you can rebuild the dynamic index to get an up-to-date view by repeating this process.

APPX User Manual (Revised 01/13/03) Cover Page Data Entry Options Set Entry Attributes


Set Entry Attributes

APPX User Manual Cover Page Select Access Path Scan

Set Entry Attributes (CTRL+F3)

The SET ENTRY ATTRIBUTES option, shown in Figure 8, is activated by selecting the CTRL+F3 keys. This option allows you to designate the following four attributes that pertain to input processing:

· Save as Default allows you to designate whether you want to re-display on each subsequent screen, the value that you entered on the prior input process screen. For example, if you are entering customer information and have a number of customers from the same city, you could save yourself keying time by having APPX redisplay the city as you begin to enter each subsequent customer record. You can change the city name if you want, but if it stays the same you do not need to re-enter the value each time.

· Auto Read Next allows you to control which record will be read and displayed by APPX after you are done modifying, deleting, or displaying a record. If you select Auto Read Next and complete a change to the record on the screen, the next record automatically displays.

· Auto Read First allows you to control which record will be read and displayed by APPX if you try to call up a record without specifying a key value. If you select Auto Read First, the first record in the file automatically displays.

· Exact Key Required allows you to specify whether or not a complete key must be entered when accessing a record from a file. For example, if the specified key path to the CUSTOMER file is CUSTOMER NAME, you can designate whether you must enter the entire name to retrieve a record, or whether APPX will use a partial key value (e.g., the letters “SMI”) to retrieve a record. If you set Exact Key Required to No, entering “SMI” would retrieve the first customer name beginning with these three letters (“SMILEY,” for example). This partial key feature is helpful because it can minimize the number of keystrokes you need to enter.

To set or modify these options, position the cursor on the desired item and select the SET ENTRY ATTRIBUTES option. You see the four SET ENTRY ATTRIBUTES options display on the screen. Note that the Save as Default value applies to the item you positioned the cursor on; the other three values apply to the input process as a whole. Examine the values and change them by clicking on the appropriate checkbox to toggle it from “yes” [image] to “no” [image].

Figure 8. Set Entry Attributes Overlay

APPX User Manual (Revised 01/13/03) Cover Page Select Access Path Scan


Scan

The SCAN option, activated by selecting the SCAN icon located to the right of a field box or by selecting F2, allows you to look up information from a file when you do not know or cannot remember specific key values. For example, as you enter an adjustment to a customer’s account, you cannot remember the general ledger account number to which to post the adjustment. With your cursor positioned at the OFFSET ACCOUNT field, select the SCAN icon directly to the right of the item as shown in Figure 9. You are immediately taken to a display of records in the Chart of Accounts file (where general ledger account number is the key), and can step through the records in the file until you find the desired record. Double-click on the line displaying the desired account description and the selected account number is automatically entered into the offset account number field on the adjustment entry screen.

Figure 9. An Input Process With Scan Fields – Initiating a Scan Operation

In this example, you can also constrain the scan operation by providing a starting or partial key value once the operation starts. In this case, the records that display after you select SCAN begin with the lowest key value in the file. For example, if you know that the account number begins with “301” you could enter then enter “301” in the Scan overlay’s account number field (as shown in Figure 10). Just begin typing regardless of where the cursor is positioned and your entry will automatically appear in the key field box. Then select ENTER to display the constrained Scan display as shown in Figure 11.

Figure 10. Constraining the Scan Operation

Figure 11. A Constrained Scan Display

The SCAN option will “remember” the choices you make when you scan an item. APPX will record which file you choose to scan as well as which access path you decide to use. This means that once you scan an item during data entry, you will no longer have to specify which file you want to access and which key path you want to use the next time you need to scan that item again, even if you have logged off the system in the interim. However, your SCAN choices are "forgotten" if the executable module (Em) for the data entry process is rebuilt (for instance, if the process is changed by the application designer or if Em's are regenerated). This is because SCAN preferences depend upon some information stored in the process Em, and that information changes when the Em is rebuilt. Once that happens, you will need to make your choices again.

When you are viewing the list of record choices you will have the following options:

· Choose a new file to scan (if more than one file is available).

· Re-specify the access path (CUSTOMER NAME instead of CUSTOMER NUMBER, for example). This is done by selecting the Paths option at the bottom of the Scan display. The result of selecting this option is shown in Figure 12. By selecting the Paths option for the Chart of Accounts File, you are given a choice of scanning the file based on accounts numbers or by account descriptions. Select the desired path by clicking on it (description, in this example). The Scan display refreshes with the file’s records ordered by the new access path as shown in Figure 13.

· Select one of the file maintenance modes (Add, Change, Inquire, or Delete) to perform maintenance on the file being scanned. This option is available only on files selected by your application designers. Upon completing file maintenance in the scanned file, select END to return to the original process.

Figure 12. Selecting the Scan Path Access

Figure 13. Scan Display By Description

APPX User Manual (Revised 01/13/03) Cover Page Set Entry Attributes List Values


List Values

Clicking the list icon [image] to the right of a field box displays a list of allowable field values as shown in Figure 14. Click on the desired value to select it and place it into the field box.

Instead of selecting the appropriate value from the list with your mouse, you may also enter the first letter of the value you wish to select. In the case where more than one list value begins with the same letter, press the same letter again to select the next value in the list which begins with that letter.

Figure 14. A Field Value List Display

APPX User Manual (Revised 01/13/03) Cover Page Scan Select a Date


Select a Date

Clicking the Select a date icon to the right of a field designated as a date displays the calendar overlay shown in Figure 15. Select the date you want to enter by clicking on the appropriate date. When the date you selected is highlighted, selecting OK will return you to the entry screen and place the date in the entry field. If you decide you do not want to use the calendar to select a date, click CANCEL.

The [image] and [image] buttons move the calendar backward and forward by month within the currently displayed year.

The [image] and [image] buttons move the calendar backward and forward one year from the month currently shown.

Figure 15. Select a Date Overlay

APPX User Manual (Revised 01/13/03) Cover Page List Values A Typical Query Process


A Typical Query Process

In its most common use, a query process allows you to select which records are to appear in a report, and to specify the sequence of data in the report. For example, you may have a report that contains information about your customers. You may want to include all customers in one version of the report, and limit the next report to customers in a particular region. You control this factor by specifying different selection criteria when you run the report. In addition, you may want the report sorted by customer name for one purpose and, on another occasion, sorted by region. An APPX query process allows you to run the same report twice, specifying a different sequence each time.

You can also use a query in conjunction with an update process to select and/or sort a set of records that are to be used or updated. Although the examples in this section are limited to queries that are used with an output process, the information applies to any queries, regardless of the type of process they are used with.

APPX User Manual (Revised 01/13/03) Cover Page Select a Date Record Selection


Record Selection

After you select a menu option that invokes a specified report, if the report has a user-modifiable query associated with it, you are presented with a Record Selection screen. The Record Selection screen lists all of the fields that you are allowed to place constraints or limitations on. A sample Record Selection screen is shown in Figure 16 below.

Figure 16. Record Selection Screen

Each line in the upper portion of the Record Selection screen contains a field name (and occurrence number, if applicable), a relation (such as EQ for equal, LT for less than), and a place to enter a specific field value. The Record Selection screen lists along the left side all of the fields on which you can place constraints. Each line specifies a separate constraint and, unless you specify otherwise as described below, all of the constraints must be met for a record to be included. For example, you may want to generate a report that includes only customers in New York or California with bad credit that have customer numbers within a certain range. Assuming that STATE, CREDIT STATUS, and CUSTOMER NUMBER are listed on the left side of the Record Selection screen, you can generate the report you want.

· A relation defines the comparison you want to perform. Valid relations are:
EQ (equal),
GT (greater than),
GE (greater than or equal),
LT (less than),
LE (less than or equal),
NE (not equal),
IN (includes),
EX (excludes).
The two-character relation field is highlighted to indicate that you can change the value to any of the allowable values.

· A constant value is used in conjunction with a relation to define a record selection constraint. In the example described earlier, three fields are compared with constant values (customer number, state and credit status). Constants can also be alphanumeric, such as names or parts of names. For example, you could specify that CUSTOMER NAME must be GE (greater than or equal to) S to include all customers whose names begin with the letters S through Z

When a field is a key field or is linked to the key field of another file, you can position your cursor in the constant value field box and select the Scan icon to the right of the field box. This allows you to “view” the field contents to determine valid values then return a selected value to the Record Selection screen. Just select the value you want to return by double-clicking the row on which it is displayed. Note that other scan options, such as selecting a different file or access path, are also available here

In some cases, the right-hand field may already be filled in with the name of another field. For these lines, you are allowed to specify the relationship between the two fields. For example, you may want to specify that the CURRENT BALANCE must be GT (greater than) CREDIT LIMIT for a customer to be included in the Credit Line Exceeded Report. In this case, only the relation value can be changed

Your application may allow you to place more than one constraint on a single field. For example, you may want to include customers in Regions 1 through 5. If this is the case, your selection screen allows you to specify two different constraints (REGION GE 1; REGION LE 5).

If no value is entered in either the relation or the constant field, APPX ignores the line as a constraint.

There are three options available on the bottom of the Record Selection screen.

· Selection Expression For a record to be selected, it must meet all of the separate constraints you specified. There may be times when you would like to combine constraints so that a record is selected if either of two constraints were met. For example, you may want to select a customer if either the BALANCE DUE is over $50,000, or if the BACKORDER CODE is Y (yes). The selection expression allows you to accomplish this objective. The Selection Expression overlay provides a number of blank lines on which you can specify combinations of selection constraints, using AND, OR, AND NOT, OR NOT, and various levels of parentheses. Note that each line on the Record Selection screen has a unique number displayed at the far left side. You use these line numbers to specify combined selection criteria in the selection expression. If in the previous example the BALANCE DUE constraint is line 1, and the BACKORDER CODE constraint is line 2, you would enter 1 OR 2 on the first expression line. You can specify as many combinations as you want to achieve the desired set of constraints, such as:

(1 OR 2) AND (3 OR 4)

The Selection Expression overlay is shown in Figure 17. In some cases, the application may be designed so that the selection expression is not modifiable.

· Value/Blank allows you to toggle between entering a constraining value for a field, or leaving the constraining value blank. When you place the cursor on the Value field, select Value/Blank, and the editable field will be replaced by “ ”. Select Value/Blank again to return to an editable value.

· Copy inserts another copy of the constraint that the cursor is resting on into the list of constraints. It also attempts to create an appropriate selection expression, and prompts you to review that expression. For example, the current record selection might consist of only two lines to select Customer Numbers. If you need to select three Customer Numbers, you would select one of the two Customer Numbers then click the Copy button to create a third Customer Number selection line.

Figure 17. Selection Expression Overlay

APPX User Manual (Revised 01/13/03) Cover Page A Typical Query Process The Sort Order Screen


The Sort Order Screen

After you specify your record selection criteria, you are presented with a Sort Order screen. The screen lists all of the fields that you are allowed to designate for sequencing. You have a number of choices for each field. Figure 18 shows a sample Sort Order screen.

A default sort order is designated when you see the Sort Order screen. The first column may have numbers starting with 1, listed in the designated sequence. You can change the sort sequence, designate other fields as sort fields, or remove fields from the sort sequence, by using the options available at the bottom of the screen.

To redefine the sort order, first click the CLEAR SORT LEVELS button. This erases all of the sort level numbers. Then, place the cursor on the item you want to be first in the sort order, and type “1” in the Sort Level column. To choose the second sort level, position the cursor on the item you want second in the sort order, and type “2” for the Sort Level. Continue in this manner until all desired sort levels are defined. Lines without a sort level designated will be ignored.

Figure 18. Sort Order Screen

There are also several other sort-related factors you can control for each sort field, described as follows:

· Subheading allows you to specify whether or not you want a subheading to print on a report each time the value at this level changes and, if so, how it should affect paging. Click the list button to list the valid Subheading entries:

· NO prints no subheading.

· STANDARD prints a subheading immediately before the record that caused the sort level to change.

· NEW PAGE WITH HDG skips to a new page before printing the subheading.

· NEW PAGE ONLY skips to a new page when a range break is encountered but does not print a subheading.

· Subtotal allows you to specify whether you want subtotals to print when the value at this level changes. Click the list button to view the valid Subtotal entries:

· NO prints no subtotals.

· STANDARD prints a subtotal immediately following the last record in this sort level.

· NEW PAGE skips to a new page before printing the subtotal.

· Sort Order allows you to designate if a field should be sorted in ascending (+) or descending (-) order. You can enter your selection or select it from a drop-down list by clicking the respective Scan icon. Ascending is the normal order, which sorts records from low-to-high key values (e.g., CUSTOMER NUMBER 1, then 2, then 3, etc., or CUSTOMER NAME Anderson, Baker, Clinton, etc.). Descending order is useful when, for example, you want to list numeric amounts from largest to smallest.

At the bottom of the Sort Order screen, you will see a field highlighted for Grand Totals. The values for grand totals are similar to the values for subtotals. Specifically, valid Grand Totals entries can be viewed by clicking the list button:

· NO prints no grand totals.

· STANDARD prints grand totals immediately after the last record or subtotal prints.

· NEW PAGE skips to a new page before printing the grand totals.

APPX User Manual (Revised 01/13/03) Cover Page Record Selection A Typical Output Process


A Typical Output Process

As discussed previously under the query process, you may have a number of output processes in your application. Outputs can range from simple lists of records, to complex reports that have various levels of subtotals, and to printed forms such as checks or labels. In some cases, you can control the sequence and content of a report when you run it by specifying parameters in a query that is associated with the report. In other cases, the structure of a report is fixed, and you simply select the appropriate option to run the report with no further intervention.

APPX User Manual (Revised 01/13/03) Cover Page The Sort Order Screen Disposition Screen


Disposition Screen

Many outputs provide you with another screen that you can use to control certain print-related options. This screen is referred to as a “disposition” input process and, although the form of the screen may vary depending on your application, it usually allows you to control the same types of information. Certain fields on the Disposition screen may not have any effect on some computer systems. Check with your System Administrator to determine which Disposition features are supported by your computer system. Figure 19 contains a typical Disposition screen.

Figure 19. Disposition Screen

The Disposition screen contains the following items that you can specify about a report:

Report Options

· Print on Screen? allows you to specify whether to display the report on the screen to review the information on your terminal. Click to toggle between "yes" [image] and "no" [image].

· Print Hard Copy? allows you to specify whether you want a printed version of the report. Click to toggle between "yes" [image] and "no" [image].

· Browsable? If checked, this field indicates you will be allowed to select a specific detail record from the report while viewing the report on the screen and go directly to a designated process by selecting OPTION 33 (OPTION OPTION 3 3). This provides you with an immediate means of viewing the record in its entirety for inquiry, modification or deletion purposes. Select END [image] to return to the report display.

· Print Summary Only? allows you to specify that you want to print only subheading and subtotal levels, and skip printing any detail records. Click to toggle between "yes" [image] and "no" [image].

· Record Limit is reserved for future use and should be left blank. When implemented, Record Limit will allow you to specify how many detail records to include on the report. This feature will allow just a sample of a report to be printed if desired. If left blank, all selected records will be printed.

· Format is reserved for future use and should be left blank.

· Report Subheading (optional) allows you to specify a subheading that prints below the report title on every page if the design of the report supports printing a subheading.

Printer/Queue Options

· Printer ID (optional) allows you to specify the printer on which to print this report. If you leave this field blank, the system’s default printer is used. If you enter a printer ID, it is validated against the printer file values that are established by the system administrator. Click the Scan icon to select from a list of available printers.

· Form ID (optional) allows you to specify the form on which this report is to be printed. If you leave this field blank, the form is determined by the printer ID, if your system administrator specified a usual form for the printer. If the printer ID is not entered, the form that is used by the default system printer is used. If you enter a form ID, it is validated against the form file values that were established by the system administrator. Click the Scan icon to select from a list of available forms.

· Print Mode allows you to specify whether you want to hold, spool, or keep the report file. Click the list button to select from the list of allowable Print Mode values:

· Hold indicates you want to queue the report but not print it immediately.

· Spool indicates that you want to print the report.

· Keep indicates that you want to create a print file but not queue it for printing.

· Print File Disposition allows you to specify the disposition of the print file after printing completes. Click the list button to select from the list of allowable Disposition values:

· Scratch deletes the print file after it prints.

· Save saves the print file for possible reprinting without requeuing it.

· Requeue puts the print file back in the print queue with a “hold” print mode.

· Priority allows you to assign a specific priority to the background task if supported by the operating system.

· Print Spool Date/Time allows you to designate a future date and/or time to print the report (if supported by your operating system). If left blank, the report will be queued for printing immediately.

· Number of Copies allows you to specify the number of copies to be printed.

· Notify User When Done? indicates whether or not a message should be sent to your workstation when the report is printed (if supported by your operating system). Click to toggle between "yes" [image] and "no" [image].

· Print Banner? indicates whether the report should printer with a banner (lead page) if this feature is supported by your operating system. Click to toggle between "yes" [image] and "no" [image].

The button options found at the bottom of the screen are described in the next section, Other Disposition Features.

While your report is running, you will see an “In Progress” message on your screen. If you checked Display on Screen?, after the report generates, it displays on the screen. When the report is displayed on the screen, you can use the options shown on the screen to view the entire report.

APPX User Manual (Revised 01/13/03) Cover Page A Typical Output Process Other Disposition Features


Other Disposition Features

Other options are available to you before your report is generated and are accessed via the buttons located at the bottom of the Disposition Screen.

· Select Disposition allows you to change the current disposition to a disposition that you previously defined and saved. You can scan the disposition name, database ID and Application ID fields to make your selections. See the examples shown in Figures 20 and 21.

· User Defined Fields gives you access to the report and log command strings that are not used by APPX but are passed to the print spooler for use by the printer in paper selection and formatting. See Figure 22.

· Save Disposition allows you to save a disposition you have customized so it can be used in the future without having to modify the standard disposition again. Click this button to assign a name to your disposition as shown in Figure 23. The application ID, database ID and user ID are defaulted but can be changed by clicking the respective scan icon and selecting the desired ID. After selecting ENTER [image], either create or cancel the disposition as shown in Figure 24.

· Execute Now runs the job as a foreground process. You will not be able to perform any other tasks in APPX until the process completes.

· Submit to Background runs the job as a background process. Running a process in background is helpful if you want to continue working in your current APPX session while the process runs.

Figure 20. Select Disposition Definition Overlay

Figure 21. Scan of Available Dispositions

Figure 22. Disposition User Defined Options Overlay

Figure 23. Save Disposition Definition Overlay

Figure 24. Save Disposition Definition Overlay Options

APPX User Manual (Revised 01/13/03) Cover Page Disposition Screen Printing on Screen


Printing on Screen

APPX's Report Display Facility allows you to view a report on your screen instead of printing a hard copy or before printing a hard copy. The screen shown in Figure 25 is an example of how your screen will look when you send a report to the screen.

Figure 25. Sample Report Using Print on Screen

On the left-hand side of the first row of the screen, also called the Report Display Facility Status Bar, the page count of the entire report and the current page number are displayed. The report title is also on this row. On the right-hand side is a field that indicates whether or not the report will be sent to the printer.

An arrow on the furthermost right edge of the screen on the Report Display Facility Status Bar indicates that the report is wider than the screen. This arrow is called a Margin Indicator and will also appear in the left corner of the Report Display Facility Status Bar if you have panned so far over to the right of the report that there is additional data to the left that does not fit on the screen.

When you select Help, the Report Display Facility Options screen, shown in Figure 26, appears. All but two of the options listed on this screen are available from both the Report Display Facility and the Report Display Facility Options screen.

Figure 26. Report Display Facility Options Screen

The Report Display Facility Options screen lists the keystrokes that allow you to move horizontally and vertically around your report. You can alternatively use the Pan and Scroll arrow buttons located at the bottom of the screen. Note that one field on this screen, Horizontal Columns, is modifiable and determines how many columns across the PAN command moves your cursor. The default value for this field is half of the screen width, and an entry in this field may not exceed half of the screen width.

Use the Pan and Scroll control buttons to move from left to right and from top to bottom. The first and last pan buttons move you to the right margin or left margin, respectively. The other pan buttons move you left or right in single or double increments of the horizontal column factor. The first and last scroll buttons move you to the top or the end of the report, respectively, while the others move you up or down a single line or single page.

This screen also lists these options which are available within the Report Display Facility:

· View Disposition allows you to see the disposition screen for the report, but does not allow you to modify anything. See the Disposition Section for more information about the specifications on the Disposition screen. Select ENTER [image] to return to the report screen. View Disposition can be invoked either by clicking on the button on this screen or by pressing OPTION 1 from the report screen.

· Ruler On activates a ruler at the bottom of your screen so that you will always know which columns you are viewing as you pan across your report. This option turns the ruler off as well. Ruler On can be invoked either by clicking on the button on this screen or by pressing OPTION 2 from the report screen.

· Set Left Pan Margin places a left margin wherever your cursor is at the time. Data that is to the left of this margin locks into place while you pan across the screen. Selecting this option also activates the Ruler On option. NOTE: This option can only be invoked by pressing OPTION 3 from the report screen. Clicking the button on this screen has no effect. OPTION 3 turns this feature off as well.

· Toggle Print? turns the Print? field in the top right corner of the screen on and off. For example, if the Print? field was originally set to N, this option will change it to Y and vice versa. Toggle Print can be invoked either by clicking on the button on this screen or by pressing OPTION 4 from the report screen.

· Show Print File Name displays the path information and file name on the bottom of the screen. NOTE: This option can only be invoked from the Report Display Facility Options screen, either by clicking on the button above or by pressing OPTION 5.

· Print? indicates whether the report is printed or not upon exiting.

· Close closes the Report Display Facility window.

When you have finished viewing your report, select Close from the lower title bar to exit the Report Display Facility and return to your previous screen.

APPX User Manual (Revised 01/13/03) Cover Page Other Disposition Features Sending a Report as E-Mail


Sending a Report as E-Mail

When viewing a report on screen, you can elect to e-mail it to another user, a supplier, or a customer. Be sure to select Print on Screen? on the Report Disposition screen, otherwise this feature will not be available to you. After the report runs and is displayed on your screen, select OPTION 7 (press OPTION then 7). The overlay shown in Figure 27 appears and you can define recipient and subject information. You can add comments by selecting the ADD COMMENTS button as shown in Figure 28. To E-Mail the report, select ENTER [image] until the report display reappears. Note that this feature is only available on UNIX installations that function as, or interface to, a Mail Server.

Figure 27. Send Report as E-Mail Overlay

Figure 28. E-Mail Comments Overlay

APPX User Manual (Revised 01/13/03) Cover Page Printing on Screen Appendix A: GUI Client Keymap


Appendix A: GUI Client Keymap

The GUI Client Keymap is used when APPX is being run as a GUI client on a PC. With the exception of standard data entry, the keyboard is used substantially less in a GUI session because many standard APPX functions are performed by selecting buttons, icons, and other graphical representations on the GUI screens instead of using the traditional function and option keys. The keys and combinations of keys shown in this table, however, can be used interchangeably with their graphical equivalents if desired.

Function | Key or Key Combination
User Option 0-99 | `[0-9] or ``[0-9][0-9]
Field Help | F1
Option Help | CTRL+F1
Scan | F2
Select Access Path | F3
Set Item Attributes | CTRL+F3
Previous Image | F4
Next Record | F5
End | F8 or ESC or CTRL+E
Cancel | CTRL+F8 or CTRL+ESC
Add Mode | F9
Delete Mode | F10
Confirm Delete | CTRL+F10
Inquire Mode | F11
Change Mode | F12
Direct Process 1 | CTRL+1
Direct Process 2 | CTRL+2

Figure A-1. GUI Client Keymap

APPX User Manual (Revised 01/13/03) Cover Page Sending a Report as E-Mail Appendix A: GUI Keymap (cont)


Appendix A: GUI Keymap (cont)

APPX User Manual Cover Page Appendix A: GUI Client Keymap Glossary

Appendix A: GUI Client Keymap (continued)

Function | Key or Key Combination
Move to End of Item | END
Move to Beginning of Item | HOME
End of Paragraph | CTRL+ENTER
Redisplay Text | CTRL+BACKSPACE
Show Messages | CTRL+M
Page Up | PAGE UP
Page Down | PAGE DOWN
Scroll Report to First Page | CTRL+PAGE UP
Scroll Report to Last Page | CTRL+PAGE DOWN
Scroll Report Up One Line | ALT+PAGE UP
Scroll Report Down One Line | ALT+PAGE DOWN
Pan Report Left or Right One Cell | SHIFT+ARROW KEY (<-- or -->)
Pan Report Left or Right One Block | CTRL+ARROW KEY (<-- or -->)
Pan Report to Left or Right Margin | ALT+ARROW KEY (<-- or -->)
Enter | ENTER
Tab | TAB
Back Tab | SHIFT+TAB
Insert Character | INSERT
Delete Character | DELETE
Copy | CTRL+C
Cut | CTRL+X
Paste | CTRL+V

Figure A-1. GUI Client Keymap (continued)

APPX User Manual (Revised 01/13/03) Cover Page Appendix A: GUI Client Keymap Glossary


Glossary

A

application a computer-based set of processes and procedures that are designed to support one or more end-users (for example, Order Processing, Accounts Payable, or Customer Billing).

B

C

D

database a collection of related files within an installation; each separate company or organization may have its own database.

database administrator the person responsible for all aspects of file management (such as establishing the files that are needed to install APPX applications and performing periodic file backups).

designer the person who develops new APPX applications or makes changes or enhancements to existing applications.

E

F

file a structure for storing data that consists of one or more related records where each record contains one or more fields. For example, the Customer file may contain several thousand customer records with each record containing several fields (such as customer number, name, address and phone number).

G

H

I

item a field that is entered or displayed on an input screen or displayed on a report. Screen items that you are allowed to enter or modify are enclosed in a box for ease of recognition.

J

K

key can have two different meanings depending upon the context. It may mean what you press on a terminal keyboard in order to enter data or to perform a special function. Or, it can mean a field that allows you to find a specific record or records in a file. A file can have more than one key field and a key is not always unique. For example, both customer number and customer name may be key fields in the Customer file.

L

M

menu a type of process that presents you with a list of options to select from. For instance, the main menu for an application may list options for submenus within the application such as transaction processing, file maintenance, and reporting.

N

O

option a predefined selection that corresponds to a particular button or icon on your screen or a series of keystrokes. For example, clicking a designated button on the Accounts Receivable menu may invoke a customer input process. Likewise, an option can also be a specific task represented by an icon on the APPX Toolbar. In addition, options can be numeric (such as selecting OPTION 5 to perform a certain function).

P

process a part of an APPX application that performs one or more related functions. For example, you may use an input process in an Accounts Receivable application to maintain information about your customers, an output process to print a list of all customers, or an update process to post payments to customer accounts.

Q

R

S

system administrator the person responsible for installing APPX on your computer and for defining in APPX the type of computer configuration you have (for example, terminals and printers). In addition, this person establishes any security controls for your applications.

T

U

user the person who runs or executes an APPX application to perform business-related tasks, like preparing a payroll (sometimes called the end user).

V

W

X

Y

Z

APPX User Manual (Revised 01/13/03) Cover Page Appendix A: GUI Keymap (cont)


application

An application is a computer-based set of processes and procedures that are designed to support one or more end-users. Some examples of applications include Order Processing, Accounts Payable, or Customer Billing.


database

A database is a collection of related files within an installation. Each separate company or organization may have its own database. Different databases may share data in common files yet have other files containing data unique to that database. For example, you might have separate Customer files for each company but have only one Customer Type file that is shared by all companies since all companies use the same customer type codes.


database administrator

The database administrator is responsible for all aspects of file management. This person establishes the files that are needed to install APPX applications, and performs on-going tasks to maintain the database environment, such as periodic file backups.


designer

The designer is the person who develops new APPX applications, or makes changes or enhancements to existing applications. If, as the user, you have questions or suggested improvements regarding particular features of an application, you should address them to the designer. Depending on your organization, the designer you need to contact may be an outside party.


file

A file is a structure for storing data that consists of one or more related records. Each record contains one or more fields. For example, the CUSTOMER file consists of a number of customer records. Each customer record consists of several fields, including key fields such as CUSTOMER NUMBER and NAME, plus additional fields such as ADDRESS, PHONE NUMBER, and CREDIT LIMIT.


item

An item is a field that is entered or displayed on an input screen or displayed on a report. Items that you are allowed to enter or modify on a screen are enclosed in a box for ease of recognition.


key

The term key can mean two different things, depending on the context it is used in. In one sense, a key is what you press on a terminal keyboard to enter data or perform a special function. In APPX, a keymap is a reference guide or diagram that indicates which keys correspond to each special function.

In another sense, a key is a field that allows you to identify a specific record or records in a file. For example, if CUSTOMER NUMBER is a key to the CUSTOMER file, you can specify a value for the CUSTOMER NUMBER to retrieve a particular CUSTOMER file record. A file can have more than one key field. For example, CUSTOMER NAME could also be a key (called an alternate key) to the CUSTOMER file. A key does not necessarily have unique values. For example, while duplicate CUSTOMER NUMBERs may not be allowed, two customers might have the same name but are uniquely identified by their customer number.


menu

A menu is a type of process that presents you with a list of options to select from. An application may have a main menu that lists the primary options available within the application. Selecting an option from the main menu may present you with another more detailed list of options to choose from, or may directly invoke another process, such as an input or output process.


option

An option is a predefined selection that corresponds to a particular button or icon on your screen, as well as a series of keystrokes. Options can be buttons that allow you to invoke selections from a menu or other process. For example, clicking a designated button on the Accounts Receivable menu may invoke a customer input process. An option can also be a specific task represented by an icon on the APPX Toolbar. These options are used to perform a variety of navigational, assistance, and record management functions. At other times, options can be numeric. For example, you might be instructed to select OPTION 5 to perform a certain function.


process

A process is a part of an APPX application that performs one or more related functions. For example, you may use an input process in an Accounts Receivable application to maintain information about your customers, an output process to print a list of all customers, or an update process to post payments to customer accounts.


system administrator

The system administrator is responsible for installing APPX on your computer, and for defining in APPX the type of computer configuration you have (for example, terminals and printers). In addition, this person establishes any security controls for your applications.


user

The user, sometimes called the end user, is the person who runs or executes an application that is written in APPX to perform business-related tasks, such as preparing a payroll.